## kdenetwork-2.1.1.tar.bz2

=== bsd-port/Makefile ===
# New ports collection makefile for:   kdenetwork
# Version required:    1.0
# Date created:        18 June 1998
# Whom:                Alex Zepeda <garbanzo@hooked.net>
#
# $Id: Makefile,v 1.7 1998/06/24 19:11:42 bieker Exp $
#
PKGNAME=	kdenetwork-`date "+%y%m%d"`
CATEGORIES=	net kde

MAINTAINER=	garbanzo@hooked.net

BUILD_DEPENDS=	moc:${PORTSDIR}/x11/qt \
		autoconf:${PORTSDIR}/devel/autoconf \
		automake:${PORTSDIR}/devel/automake
INSTALL_ROOT?=	${.CURDIR}/${PKGNAME}
LIB_DEPENDS=	qt\\.1\\.3[0-9]:${PORTSDIR}/x11/qt \
		gif\\.[23]\\.:${PORTSDIR}/graphics/giflib \
		jpeg\\.9\\.:${PORTSDIR}/graphics/jpeg \
		uulib\\.1\\.:${PORTSDIR}/converters/kdesupport \
		kdecore\\.0\\.9[1-9]:${PORTSDIR}/x11/kdelibs \
		kdeui\\.0\\.9[1-9]:${PORTSDIR}/x11/kdelibs \
		jscript\\.0\\.9[0-9]:${PORTSDIR}/x11/kdelibs \
		khtmlw\\.0\\.9[1-9]:${PORTSDIR}/x11/kdelibs \
		kfm\\.0\\.9[0-9]:${PORTSDIR}/x11/kdelibs \
		mediatool\\.0\\.9[1-9]:${PORTSDIR}/x11/kdelibs \
		mimelib\\.1\\.[0-9]:${PORTSDIR}/converters/kdesupport \
		gdbm\\.1\\\.7\\.:${PORTSDIR}/databases/gdbm
NO_MTREE=	yup
USE_GMAKE=	"without a doubt"
NO_WRKDIR=	"Cause, you've obviously got the source in the parent directory"
WRKSRC=		../
NO_EXTRACT=	"yes, please"
HAS_CONFIGURE=	yes
CONFIGURE_ARGS=	"--prefix=$(PREFIX)" \
		"--x-inc=$(X11BASE)/include" \
		"--x-lib=$(X11BASE)/lib" \
		"--with-install-root=$(INSTALL_ROOT)" \
		"--with-extra-includes=$(PREFIX)/include/giflib"

.include "kde-snapshot.mk"
.include <bsd.port.mk>

=== debian/changelog ===
kdenetwork (4:2.1.0-1) unstable; urgency=low
 
   * New upstream CVS pull
   * Updating shlibs
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 07 Mar 2001 23:13:00 -0700

kdenetwork (4:2.1-final-1) unstable; urgency=low
 
   * New upstream version
   * Upping standards version
   * Adding in conflicts for talkd - ktalkd
   * Adding in update-inetd bits - ktalkd
   * move ktalkd and kotalkd from /usr/bin to /usr/sbin - ktalkd
   * Adding in provides for talkd - ktalkd
   * Adding in depends for talk | ytalk - ktalkd

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 19 Feb 2001 02:31:00 -0700

kdenetwork (4:2.1-beta2-0128-1) unstable; urgency=low
 
   * More upstream fixes
     Fixes length issues with ksirc
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 28 Jan 2001 20:00:00 -0700

kdenetwork (4:2.1-beta2-1) unstable; urgency=low
 
   * New upstream beta
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 22 Jan 2001 01:45:00 -0700

kdenetwork (4:2.1-20010118-1) unstable; urgency=low
 
   * More upstream fixes
   * Fixing knewsticker's section
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 19 Jan 2001 23:30:00 -0700

kdenetwork (4:2.1-20010115-1) unstable; urgency=low
 
   * More upstream fixes
   * New knewsticker package
   * Moving away from dh_suidregister
   * Fixing typos in control file
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 15 Jan 2001 01:30:00 -0700

kdenetwork (4:2.1-20010106-1) unstable; urgency=low
 
   * More upstream fixes
   * Upstream fix for kppp (Closes: #80484)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 06 Jan 2001 23:10:00 -0700

kdenetwork (4:2.1-20010101-1) unstable; urgency=low
 
   * More upstream fixes
   * Lets actually set the proper perms for kppp (Closes: #80484)
     kppp is now root.dip and 04754 to match pppd for Debian
      
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 01 Jan 2001 04:01:00 -0700

kdenetwork (4:2.1-20001219-1) unstable; urgency=low
 
  * More upstream fixes
  * Adding new hints (Closes: #80031, #80071)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 18 Dec 2000 23:30:00 -0700
                                                                                

kdenetwork (4:2.1-20001216-1) unstable; urgency=low
 
  * More upstream fixes
  * Adding in missing conflicts for kdenetwork
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 16 Dec 2000 23:50:00 -0700

kdenetwork (4:2.1-20001213-1) unstable; urgency=low
 
  * New upstream CVS version
  * Build with new libmimelib (Closes: #79595)
  * Closes these old bugs and wishlist items (Closes: #78885, #76785, #78885, #79568)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 13 Dec 2000 15:00:00 -0700

kdenetwork (4:2.0-final-8) unstable; urgency=low
 
  * Fixing file conflicts (Closes: #77851)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 23 Nov 2000 16:04:00 -0700

kdenetwork (4:2.0-final-7) unstable; urgency=low
 
  * Documentation cleanup along with proper upstream changelogs
  * Fixing up build-depends for non x4 ports
  * Adding in lintian overrides
  * Cleaning up build rules
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 21 Nov 2000 02:30:00 -0700

kdenetwork (4:2.0-final-6) unstable; urgency=low
 
  * More upstream kmail fixes (Closes: #77340)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 18 Nov 2000 08:45:00 -0700

kdenetwork (4:2.0-final-5) unstable; urgency=low
 
  * More upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 15 Nov 2000 04:45:00 -0700

kdenetwork (4:2.0-final-4.2) unstable; urgency=low
 
  * More upstream fixes
  * Adding in provides for mail and news readers and vnc viewers
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 10 Nov 2000 15:30:00 -0700

kdenetwork (4:2.0-final-4.1) unstable; urgency=low
 
  * More upstream fixes
  * adding in menu hints
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 09 Nov 2000 22:45:00 -0700

kdenetwork (4:2.0-final-4) unstable; urgency=low
 
  * More i18n work
  * More upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 08 Nov 2000 17:30:00 -0700
                                                                                

kdenetwork (4:2.0-final-3.1) unstable; urgency=low
 
  * Applying ksirc i18n patch
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 05 Nov 2000 23:00:00 -0700

kdenetwork (4:2.0-final-3) unstable; urgency=low
 
  * more upstream fixes
  * build against new xlibs
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 04 Nov 2000 23:00:00 -0700
                                                                                

kdenetwork (4:2.0-final-2) unstable; urgency=low

  * more upstream fixes
  * fixing up dependencies (adding depends for kdebase-libs)

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 02 Nov 2000 18:00:00 -0700

kdenetwork (4:2.0-final-0) unstable; urgency=low
 
  * KDE 2.0
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 23 Oct 2000 00:00:00 -0700
                                                                                

kdenetwork (4:2.0-20001016-2) unstable; urgency=low
 
  * Applying i18n patch for knode
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 17 Oct 2000 21:00:00 -0700
                                                                                

kdenetwork (4:2.0-20001016-0) unstable; urgency=low

  * more upstream fixes

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 16 Oct 2000 15:00:00 -0700

kdenetwork (4:2.0-20001013-0) unstable; urgency=low
 
  * More upstream fixes
  * Adding in dependency for kdebase-libs
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 14 Oct 2000 02:00:00 -0700

kdenetwork (4:2.0-20001011-0) unstable; urgency=low
 
  * KDE 2.0 RC2
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 12 Oct 2000 06:00:00 -0700
                                                                                

kdenetwork (4:2.0-20001006-2) unstable; urgency=low
 
  * Fixing dependency on libmime1 for kmail (Closes: #74304)
  * Applying kdenetwork-1.94-kmail-i18n-20000924.diff
 


=== debian/control ===
Source: kdenetwork
Build-Depends: automake, autoconf, libtool, debhelper, kdelibs-dev (>= 4:2.1.0-0), libmimelib-dev
Build-Conflicts: kdelibs3-crypto
Section: net
Priority: optional
Maintainer: Ivan E. Moore II <rkrusty@debian.org>
Standards-Version: 3.5.0

Package: keystone
Architecture: any
Section: net
Replaces: kdenetwork
Depends: ${shlibs:Depends}, kdebase-libs
Suggests: kdebase
Provides: vncviewer
Conflicts: kdenetwork, task-kdenetwork
Description: Virtual Network Computer Client for KDE
 Virtual Network Computer Client for KDE 
 
Package: kit
Architecture: any
Section: net
Replaces: kdenetwork
Depends: ${shlibs:Depends}, kdebase-libs
Suggests: kdebase
Conflicts: kdenetwork, task-kdenetwork
Description: AOL Instant messanger frontend for KDE
 AOL Instant messanger frontend for KDE 
 
Package: lisa
Architecture: any
Section: net
Replaces: kdenetwork
Depends: ${shlibs:Depends}, kdebase-libs
Suggests: kdebase
Conflicts: kdenetwork, task-kdenetwork
Description: LAN information service kinda like network neighborhood
 LISa is intended to provide a kind of "network neighborhood" but only
 relying on the TCP/IP protocol stack, no smb or whatever.

Package: kmail
Architecture: any
Section: mail
Replaces: kdenetwork, kdenetwork-dev
Depends: ${shlibs:Depends}, kdebase-libs
Suggests: kdebase, kdelibs3-crypto, kdebase-crypto, gnupg, kmailplugin
Provides: mail-reader
Conflicts: kdenetwork, task-kdenetwork
Description: Mail Client based on QT and KDE
 Mail Client based on QT and KDE
 .
 Supports pop3, pop3s (with non-US kdelibs3-crypto), GPG/PGP
 
Package: knode
Architecture: any
Section: net
Replaces: kdenetwork, keystone (<= 4:2.1-20010101-1)
Depends: ${shlibs:Depends}, kdebase-libs
Suggests: kdebase
Provides: news-reader
Conflicts: kdenetwork, task-kdenetwork
Description: News reader for KDE
 News reader for KDE 
 
Package: korn
Architecture: any
Section: mail
Replaces: kdenetwork
Depends: ${shlibs:Depends}, kdebase-libs
Suggests: kdebase
Conflicts: kdenetwork, task-kdenetwork
Description: Mail notifier for KDE
 Mail notifier for KDE 
 
Package: kppp
Architecture: any
Section: net
Replaces: kdenetwork
Depends: ${shlibs:Depends}, ppp, kdebase-libs
Suggests: kdebase
Conflicts: kdenetwork, task-kdenetwork, suidmanager (<< 0.50) 
Description: PPP dialer for KDE
 This is a PPP GUI based on QT and KDE
 
Package: ksirc
Architecture: any
Section: net
Replaces: kdenetwork
Depends: ${shlibs:Depends}, kdebase-libs, ${perl:Depends}
Suggests: kdebase
Conflicts: kdenetwork, task-kdenetwork
Description: IRC Client based on QT and KDE
 IRC Client based on QT and KDE
 
Package: knewsticker
Architecture: any
Section: web
Depends: ${shlibs:Depends}, kdebase
Suggests: kdebase
Description: A News ticker for KDE
 This is a News ticker for the KDE panel.  It can scroll news from your 
 favorite news sites like /. and freshmeat.

Package: ktalkd
Architecture: any
Section: net
Replaces: kdenetwork
Depends: ${shlibs:Depends}, kdebase-libs, talk | ytalk
Suggests: kdebase
Conflicts: talkd, kdenetwork, task-kdenetwork
Provides: talkd
Description: Talk daemon for KDE
 Talk daemon for KDE

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

BUILDDIR = ./build

build: build-stamp

-include debian/debiandirs

debian/debiandirs: admin/debianrules
	perl -w admin/debianrules echodirs > debian/debiandirs

build-stamp:
	dh_testdir
	if test ! -f configure; then \
	  $(MAKE) -f admin/Makefile.common ;\
	fi 
	./configure $(configkde) \
	--libdir=$(kde_libdir) --includedir=$(kde_includedir)

	make

	touch build-stamp

clean: debian-clean
	dh_clean

debian-clean:
	dh_testdir
	-rm -f debian/debiandirs
	if test -d CVS; then \
	  make -f admin/Makefile.common cvs-clean ;\
	fi
	-make distclean

binary-indep:	build
	dh_testroot
	dh_testdir

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	-rm -f debian/undocumented
	install -d debian/tmp/etc/kde2
	install -d debian/ktalkd/usr/sbin
	install -d debian/tmp/usr/share/lintian/overrides
	make DESTDIR=`pwd`/debian/tmp/ install 
	cp debian/*.override debian/tmp/usr/share/lintian/overrides/
	for i in `ls debian/tmp/usr/share/lintian/overrides/`; do \
	  mv debian/tmp/usr/share/lintian/overrides/$$i debian/tmp/usr/share/lintian/overrides/`echo $$i | sed -e 's#.override##'`; \
	done
	echo "# KDE Config File"          > debian/tmp/etc/kde2/knurc
	echo "[Traceroute]"              >> debian/tmp/etc/kde2/knurc
	echo "path=/usr/sbin/traceroute" >> debian/tmp/etc/kde2/knurc
	perl -w admin/debianrules cleanup
	for i in `cat debian/undocumented.in | grep -v "#"`; do \
	  echo "$$i.1" >> debian/undocumented ; \
	done
	for i in `find debian/ -type l -name "common"`; do \
		rm $$i; \
		ln -s ../common $$i ;\
	done
	dh_undocumented 
	dh_movefiles -a
	dh_installdocs -a
	dh_installmenu -a
	dh_installmime -a
	dh_installchangelogs -pkeystone
	dh_installchangelogs -pkit
	dh_installchangelogs -pkmail kmail/ChangeLog
	dh_installchangelogs -pknode knode/ChangeLog
	dh_installchangelogs -pkorn korn/ChangeLog
	dh_installchangelogs -pkppp kppp/ChangeLog
	dh_installchangelogs -pksirc ksirc/ChangeLog
	dh_installchangelogs -pktalkd ktalkd/ChangeLog
	dh_installchangelogs -plisa lanbrowsing/lisa/ChangeLog
	dh_installchangelogs -pknewsticker
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	mv debian/ktalkd/usr/bin/ktalkd debian/ktalkd/usr/sbin/
	mv debian/ktalkd/usr/bin/kotalkd debian/ktalkd/usr/sbin/
	chmod 755 debian/ksirc/usr/share/apps/ksirc/convert_commands.pl \
		debian/ksirc/usr/share/apps/ksirc/tester.pl
	chown root.dip debian/kppp/usr/bin/kppp*
	chmod 04754 debian/kppp/usr/bin/kppp*
	dh_makeshlibs -a
	dh_perl -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

# Below here is fairly generic really

binary:		binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean
